# interfaces Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KTextEditor::DocumentInfoInterface Class Reference

This is an interface for accessing information about files open in the Document, Plugin and PluginViewInterface classes. More...

`#include <documentinfo.h>`

List of all members.

## Public Member Functions

virtual QString | mimeType ()=0
virtual long | fileSize ()=0
virtual QString | niceFileSize ()=0
unsigned int | documentInfoInterfaceNumber () const

## Protected Member Functions

void | setDocumentInfoInterfaceDCOPSuffix (const QCString &suffix)

## Friends

class | PrivateDocumentInterface

## Detailed Description

This is an interface for accessing information about files open in the Document, Plugin and PluginViewInterface classes.

Definition at line 34 of file documentinfo.h.

The documentation for this class was generated from the following files:

- documentinfo.h
- documentinfo.cpp

This file is part of the documentation for interfaces Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:35:14 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003